Show / Hide Table of Contents

# Class KnownHeaders

Well known http headers.

##### Inheritance

Object
KnownHeaders

##### Inherited Members

Object.ToString()
Object.Equals(Object)
Object.Equals(Object, Object)
Object.ReferenceEquals(Object, Object)
Object.GetHashCode()
Object.GetType()
Object.MemberwiseClone()

###### Namespace: Titanium.Web.Proxy.Http

###### Assembly: Titanium.Web.Proxy.dll

##### Syntax

    public static class KnownHeaders

### Fields

| Improve this Doc View Source

#### AcceptEncoding

##### Declaration

    public static KnownHeader AcceptEncoding

##### Field Value

Type | Description
--- | ---
KnownHeader |

| Improve this Doc View Source

#### Authorization

##### Declaration

    public static KnownHeader Authorization

##### Field Value

Type | Description
--- | ---
KnownHeader |

| Improve this Doc View Source

#### Connection

##### Declaration

    public static KnownHeader Connection

##### Field Value

Type | Description
--- | ---
KnownHeader |

| Improve this Doc View Source

#### ConnectionClose

##### Declaration

    public static KnownHeader ConnectionClose

##### Field Value

Type | Description
--- | ---
KnownHeader |

| Improve this Doc View Source

#### ConnectionKeepAlive

##### Declaration

    public static KnownHeader ConnectionKeepAlive

##### Field Value

Type | Description
--- | ---
KnownHeader |

| Improve this Doc View Source

#### ContentEncoding

##### Declaration

    public static KnownHeader ContentEncoding

##### Field Value

Type | Description
--- | ---
KnownHeader |

| Improve this Doc View Source

#### ContentEncodingBrotli

##### Declaration

    public static KnownHeader ContentEncodingBrotli

##### Field Value

Type | Description
--- | ---
KnownHeader |

| Improve this Doc View Source

#### ContentEncodingDeflate

##### Declaration

    public static KnownHeader ContentEncodingDeflate

##### Field Value

Type | Description
--- | ---
KnownHeader |

| Improve this Doc View Source

#### ContentEncodingGzip

##### Declaration

    public static KnownHeader ContentEncodingGzip

##### Field Value

Type | Description
--- | ---
KnownHeader |

| Improve this Doc View Source

#### ContentLength

##### Declaration

    public static KnownHeader ContentLength

##### Field Value

Type | Description
--- | ---
KnownHeader |

| Improve this Doc View Source

#### ContentType

##### Declaration

    public static KnownHeader ContentType

##### Field Value

Type | Description
--- | ---
KnownHeader |

| Improve this Doc View Source

#### ContentTypeBoundary

##### Declaration

    public static KnownHeader ContentTypeBoundary

##### Field Value

Type | Description
--- | ---
KnownHeader |

| Improve this Doc View Source

#### ContentTypeCharset

##### Declaration

    public static KnownHeader ContentTypeCharset

##### Field Value

Type | Description
--- | ---
KnownHeader |

| Improve this Doc View Source

#### Expect

##### Declaration

    public static KnownHeader Expect

##### Field Value

Type | Description
--- | ---
KnownHeader |

| Improve this Doc View Source

#### Expect100Continue

##### Declaration

    public static KnownHeader Expect100Continue

##### Field Value

Type | Description
--- | ---
KnownHeader |

| Improve this Doc View Source

#### Host

##### Declaration

    public static KnownHeader Host

##### Field Value

Type | Description
--- | ---
KnownHeader |

| Improve this Doc View Source

#### Location

##### Declaration

    public static KnownHeader Location

##### Field Value

Type | Description
--- | ---
KnownHeader |

| Improve this Doc View Source

#### ProxyAuthenticate

##### Declaration

    public static KnownHeader ProxyAuthenticate

##### Field Value

Type | Description
--- | ---
KnownHeader |

| Improve this Doc View Source

#### ProxyAuthorization

##### Declaration

    public static KnownHeader ProxyAuthorization

##### Field Value

Type | Description
--- | ---
KnownHeader |

| Improve this Doc View Source

#### ProxyAuthorizationBasic

##### Declaration

    public static KnownHeader ProxyAuthorizationBasic

##### Field Value

Type | Description
--- | ---
KnownHeader |

| Improve this Doc View Source

#### ProxyConnection

##### Declaration

    public static KnownHeader ProxyConnection

##### Field Value

Type | Description
--- | ---
KnownHeader |

| Improve this Doc View Source

#### ProxyConnectionClose

##### Declaration

    public static KnownHeader ProxyConnectionClose

##### Field Value

Type | Description
--- | ---
KnownHeader |

| Improve this Doc View Source

#### TransferEncoding

##### Declaration

    public static KnownHeader TransferEncoding

##### Field Value

Type | Description
--- | ---
KnownHeader |

| Improve this Doc View Source

#### TransferEncodingChunked

##### Declaration

    public static KnownHeader TransferEncodingChunked

##### Field Value

Type | Description
--- | ---
KnownHeader |

| Improve this Doc View Source

#### Upgrade

##### Declaration

    public static KnownHeader Upgrade

##### Field Value

Type | Description
--- | ---
KnownHeader |

| Improve this Doc View Source

#### UpgradeWebsocket

##### Declaration

    public static KnownHeader UpgradeWebsocket

##### Field Value

Type | Description
--- | ---
KnownHeader |